Download it now!
Bug 89049 - Data Bar on merged cells
Summary: Data Bar on merged cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2015-02-02 15:28 UTC by berndnewsreader
Modified: 2019-09-25 12:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file demonstrating the problems (23.26 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-02-02 15:28 UTC, berndnewsreader
Details
file with range data bar (9.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-02-03 09:23 UTC, raal
Details
created various databars w/ merged cells under current calc version included documentation of how they were created and observed behaviors (43.71 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-09-24 14:04 UTC, XV
Details
multiple row merged cell only recognize first cell for data entry causing databar to display in an unexpected manner unless every cell in the first column of the multirow merged cell is filled (10.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-09-25 12:38 UTC, XV
Details

Note You need to log in before you can comment on or make changes to this bug.
Description berndnewsreader 2015-02-02 15:28:16 UTC
Created attachment 113054 [details]
file demonstrating the problems

I have found two issues with Conditional Formatting Databars in Calc:

First: The Value renders exactly the same when setting to percent and entering any non-zero value

Second: when merging Cells the Databar only fills the first cell and ignores the rest of the merged cells.

I have attached a document to illustrate these problems. Thank you very much!
Comment 1 raal 2015-02-02 20:05:26 UTC
(In reply to berndnewsreader from comment #0)
> Created attachment 113054 [details]
> file demonstrating the problems
> 
> I have found two issues with Conditional Formatting Databars in Calc:
> 
> First: The Value renders exactly the same when setting to percent and
> entering any non-zero value
> 
Hello,
you have to set range to A2:A4. In your document have every cell own data bar.
Comment 2 raal 2015-02-02 21:39:51 UTC
(In reply to berndnewsreader from comment #0)
> Second: when merging Cells the Databar only fills the first cell and ignores
> the rest of the merged cells.

I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 60143f4f7bc50054dcef923218b8c7c3bc154933
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-21_04:58:34
Comment 3 berndnewsreader 2015-02-03 08:51:10 UTC
(In reply to raal from comment #1)
> (In reply to berndnewsreader from comment #0)
> > Created attachment 113054 [details]
> > file demonstrating the problems
> > 
> > I have found two issues with Conditional Formatting Databars in Calc:
> > 
> > First: The Value renders exactly the same when setting to percent and
> > entering any non-zero value
> > 
> Hello,
> you have to set range to A2:A4. In your document have every cell own data
> bar.

When i select a cell it shows data range A3 in the data bar dialogue (for example when selecting cell A3). Where can i see the data range A2:A4 ?
Comment 5 berndnewsreader 2015-02-03 09:27:30 UTC
(In reply to raal from comment #4)
> Created attachment 113078 [details]
> file with range data bar
> 
> 
> https://help.libreoffice.org/Calc/
> Conditional_Formatting#Manage_Conditional_Formatting

Yeah but in my example i wanted to show the data bar according to a percentage from 0 to 100, and it does not work. Of course when selecting a range of cells and set the range to automatic it shows the data bars relative to each other. I want to show the data bar relative to 100% though.
Comment 6 raal 2015-02-03 10:11:54 UTC
(In reply to berndnewsreader from comment #5)
> (In reply to raal from comment #4)
> 
> Yeah but in my example i wanted to show the data bar according to a
> percentage from 0 to 100, and it does not work. Of course when selecting a
> range of cells and set the range to automatic it shows the data bars
> relative to each other. I want to show the data bar relative to 100% though.

I'm not sure, because I'm not using bars in this way. I cannot find documentation, but I tried in excel and in excel it's the same. All bars have the same width. If you mean it's a bug, please create new bugreport - only one bug per bugreport. Thank you.
Comment 7 QA Administrators 2016-02-21 08:34:32 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 14:55:25 UTC Comment hidden (obsolete)
Comment 9 XV 2019-09-24 14:04:11 UTC
Created attachment 154447 [details]
created various databars w/ merged cells under current calc version included documentation of how they were created and observed behaviors
Comment 10 XV 2019-09-24 14:05:13 UTC
Issue persists in current version (6.3.1.2 build b79626edf0065ac373bd1df5c28bd630b4424273)

on windows 10 version 1803 build 17134.765
Comment 11 XV 2019-09-25 12:33:06 UTC
Also, when adding a data bar across a merged cell that consists of multiple rows, you must have the target in the firs cell of each row before merging the cells, and when asked, you must keep that data or else each row that does not start with the target will not have a data bar.

adding attachment to illustrate this better in a few moments.
Comment 12 XV 2019-09-25 12:38:50 UTC
Created attachment 154486 [details]
multiple row merged cell only recognize first cell for data entry causing databar to display in an unexpected manner unless every cell in the first column of the multirow merged cell is filled